Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Bowed Class Reference

STK bowed string instrument class. More...

`#include <Bowed.h>`

Inheritance diagram for stk::Bowed:

List of all members.

## Public Member Functions
| Bowed (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Bowed (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | setVibrato (StkFloat gain)
| Set vibrato gain.
void | startBowing (StkFloat amplitude, StkFloat rate)
| Apply breath pressure to instrument with given amplitude and rate of increase.
void | stopBowing (StkFloat rate)
| Decrease breath pressure with given rate of decrease.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK bowed string instrument class.

This class implements a bowed string model, a la Smith (1986), after McIntyre, Schumacher, Woodhouse (1983).

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- Bow Pressure = 2
- Bow Position = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Volume = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Bowed.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.